const int left_backward  = 5;  
const int left_forward= 6; 
const int right_forward  = 10;   
const int right_backward  = 9; 
int horn=8;
int state; 
int vSpeed=255;
    
void setup() {
    pinMode(left_backward, OUTPUT);
    pinMode(left_forward, OUTPUT);
    pinMode(right_forward, OUTPUT);
    pinMode(right_backward, OUTPUT);
    Serial.begin(9600);
}
void loop() {
if(Serial.available() > 0)
{     
      state = Serial.read(); 
      Serial.println((char)state);
}
// If the incoming data is 'S', the car stops.
     if (state == 'S'){
  analogWrite(right_forward, 0); 
  analogWrite(right_backward, 0);
  analogWrite(left_forward, 0);      
  analogWrite(left_backward, 0); 
    }

// If the incoming data is 'F', 
// the car moves forward.
   else if (state == 'F') {
  analogWrite(right_forward, vSpeed); 
  analogWrite(right_backward, 0);
  analogWrite(left_forward, vSpeed);      
  analogWrite(left_backward, 0); 
    }    

// If the incoming data is 'B', 
// the car moves backforward.
    else if (state == 'B') {
  analogWrite(right_forward, 0); 
  analogWrite(right_backward, vSpeed);
  analogWrite(left_forward, 0);      
  analogWrite(left_backward, vSpeed);
    }

// If the incoming data is 'L',
// the car moves to the left.
    else if (state == 'L') {
  analogWrite(right_forward, vSpeed); 
  analogWrite(right_backward, 0);
  analogWrite(left_forward, 0);      
  analogWrite(left_backward, vSpeed);
    }

// If the incoming data is 'R', 
// the car moves to the right.
 else if (state == 'R') {
 analogWrite(right_forward, 0); 
 analogWrite(right_backward, vSpeed);
 analogWrite(left_forward, vSpeed); 
 analogWrite(left_backward, 0); 
 }
// If the incoming data is 'G', 
// the car goes to the left diagonal.
    else if (state == 'G') {
  analogWrite(right_forward, vSpeed); 
  analogWrite(right_backward, 0);
  analogWrite(left_forward, 155);      
  analogWrite(left_backward, 0); 
    }

// If the incoming data is 'I', 
// the car goes to the right diagonal.    
else if (state == 'I') {
  analogWrite(right_forward, 155); 
  analogWrite(right_backward, 0);
  analogWrite(left_forward, vSpeed);      
  analogWrite(left_backward, 0); 
    }
  
// If the incoming data is 'H', 
// the car goes to the left back diagonal.    
else if (state == 'H') {
  analogWrite(right_forward, 0); 
  analogWrite(right_backward, 155);
  analogWrite(left_forward, 0);      
  analogWrite(left_backward, vSpeed); 
    }

// If the incoming data is 'J', 
// the car goes to the right back diagonal.
    else if (state == 'J') {
  analogWrite(right_forward, 0); 
  analogWrite(right_backward, vSpeed);
  analogWrite(left_forward, 0);      
  analogWrite(left_backward, 155); 
    } 

// If the incoming data is 'V', 
// the horn will sound.
    else if (state == 'V') {
     digitalWrite(8,1);
     delay(100);
     digitalWrite(8,0);
    } 
}  
